.twelve-block {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 2590px;
    height: 250px;

    @media (max-width: 768px) {
        top: 4168px;
    }

    @media (max-width: 425px) {
        top: 2748px;
    }

    .twelve-block-wrap {
        display: flex;

        .twelve-block-up {
            display: flex;
            width: 100%;
            max-width: 1205px;
            height: 250px;
            align-items: center;

            @media (max-width: 1290px) {
                max-width: 975px;
            }

            @media (max-width: 1131px) {
                max-width: 730px;
            }

            @media (max-width: 900px) {
                max-width: 590px;
            }

            @media (max-width: 768px) {
                max-width: 460px;
            }

            @media (max-width: 425px) {
                max-width: 400px;
                flex-wrap: wrap;
            }

            @media (max-width: 425px) {
                max-width: 370px;
            }

            .twelve-block-up__left-side {
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                width: 608px;
                height: 84px;
                position: relative;
                top: 20px;

                @media (max-width: 1290px) {
                    left: -115px;
                }

                @media (max-width: 768px) {
                    left: -85px;
                }

                @media (max-width: 425px) {
                    left: 0px;
                    height: 60px;
                }

                @media (max-width: 375px) {
                    left: 10px;
                }

                .twelve-block-up__left-side-title {
                    display: flex;
                    font-family: Roboto;
                    font-style: normal;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 16px;
                    letter-spacing: 0.02em;
                    text-transform: uppercase;
                    color: #535353;
                    z-index: 1;
                }

                .twelve-block-up__left-side-text {
                    display: flex;
                    font-family: Gotham Pro;
                    font-style: normal;
                    font-weight: bold;
                    font-size: 35px;
                    line-height: 139.5%;
                    color: #2E2E2E;
                    z-index: 1;
                }
            }

            .twelve-block-up__right-side {
                display: flex;
                justify-content: end;
                width: 597px;
                position: relative;
                top: 20px;
                left: 96px;

                @media (max-width: 425px) {
                    left: 0px;
                    width: 176px;
                    top: -20px;
                }

                @media (max-width: 375px) {
                    left: 10px;
                }

                .twelve-block-up__right-side-button {
                    display: flex;
                    width: 173px;
                    height: 60px;
                    background: #262627;
                    border-radius: 5px;
                    justify-content: space-evenly;
                    align-items: center;

                    .a {
                        display: flex;
                    }

                    .twelve-block-up__right-side-button__icon {
                        display: flex;
                        width: 20px;
                        height: 20px;
                        background-image: url(../images/iq-hr/insta.png);
                    }

                    .twelve-block-up__right-side-button__text {
                        display: flex;
                        font-family: Roboto;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 16px;
                        line-height: 150%;
                        letter-spacing: 0.005em;
                        color: #FFFFFF;
                    }
                }
            }
        }
    }
}